<template>
    <div class="float-right">
        <div class="custom-alert" id="myAlert">
            <svg xmlns="http://www.w3.org/2000/svg" width="30" height="20" viewBox="0 0 448 512">
                <path fill="#fff"
                    d="M438.6 105.4c12.5 12.5 12.5 32.8 0 45.3l-256 256c-12.5 12.5-32.8 12.5-45.3 0l-128-128c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0L160 338.7 393.4 105.4c12.5-12.5 32.8-12.5 45.3 0z" />
            </svg>
            {{ this.textAlert }}
        </div>
    </div>
</template>
    
<script>
export default {
    name: 'AlertComponent',
    data: function () {
        return {
            textAlert: '',
        }
    },
    watch: {
        textAlert: function (newVal, oldVal) {
            console.log(`La variable se modificó de ${oldVal} a ${newVal}`);
            var alertBox = document.getElementById("myAlert");
            alertBox.classList.add("show");
            setTimeout(function () {
                alertBox.classList.remove("show");
            }, 1000);
        }
    },
    created() {
        let me = this;
        /*Al crear el componente, declaramos una escucha en el evento NotificacionAlert,
         y cuando se modifique el texto  se mostrara la notificación*/
        this.$root.$on('NotificacionAlert', (texto) => {
            me.textAlert = texto;
        });
    },
}
</script>
<style scoped>
/* Estilo necesario para el alert */
.custom-alert {
    background-color: #1aaf06d5;
    color: #ffffff;
    padding: 10px;
    border: 1px solid #1aaf06d5;
    border-radius: 5px;
    width: 400px;
    text-align: left;
    position: relative;
    display: none;
    z-index: 1;
}

.custom-alert.success {
    background-color: #d4edda;
    color: #155724;
    border-color: #c3e6cb;
}

.custom-alert.show {
    display: block;
}
</style>